Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

Reference Language (extended) | Libraries | Comparison | Board

## Keywords

Keywords are constants, variables and function names that are defined as part of the Arduino language. Avoid using keywords for variable names.

    # Constants

    HIGH
    LOW
    INPUT
    OUTPUT
    SERIAL
    DISPLAY
    PI
    HALF_PI
    TWO_PI
    LSBFIRST
    MSBFIRST
    CHANGE
    FALLING
    RISING
    false
    true
    null

    # Port Variables & Constants

    DDRB
    PINB
    PORTB
    PB0
    PB1
    PB2
    PB3
    PB4
    PB5
    PB6
    PB7

    DDRC
    PINC
    PORTC
    PC0
    PC1
    PC2
    PC3
    PC4
    PC5
    PC6
    PC7

    DDRD
    PIND
    PORTD
    PD0
    PD1
    PD2
    PD3
    PD4
    PD5
    PD6
    PD7

    # Datatypes

    boolean
    byte
    char
    class
    default
    do
    double
    int
    long
    private
    protected
    public
    return
    short
    signed
    static
    switch
    throw
    try
    unsigned
    void

    # Other

    abs
    acos
    +=
    +
    []
    asin
    =
    atan
    atan2
    &
    |
    boolean
    byte
    case
    ceil
    char
    char
    class
    ,
    //
    ?:
    constrain
    cos
    {}
    --
    default
    delay
    delayMicroseconds
    /
    /**
    .
    else
    ==
    exp
    false
    float
    float
    floor
    for
    <
    <=
    HALF_PI
    if
    ++
    !=
    int
    <<
    <
    <=
    log
    &&
    !
    ||
    loop
    max
    millis
    min
    -
    %
    /*
    *
    new
    null
    ()
    PI
    return
    >>
    ;
    Serial
    Setup
    sin
    sq
    sqrt
    -=
    switch
    tan
    this
    true
    TWO_PI
    void
    while
    Serial
    begin
    read
    print
    write
    println
    available
    digitalWrite
    digitalRead
    pinMode
    analogRead
    analogWrite
    attachInterrupts
    detachInterrupts
    beginSerial
    serialWrite
    serialRead
    serialAvailable
    printString
    printInteger
    printByte
    printHex
    printOctal
    printBinary
    printNewline
    pulseIn
    shiftOut

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

Edit Page | Page History | Printable View | All Recent Site Changes